﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{5A88BA5C-067B-4019-99F2-FBEC4A83B3F3}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Reporting</RootNamespace>
    <AssemblyName>Reporting</AssemblyName>
    <FileAlignment>512</FileAlignment>
    <MyType>Windows</MyType>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <OptionExplicit>On</OptionExplicit>
    <OptionCompare>Binary</OptionCompare>
    <OptionStrict>On</OptionStrict>
    <OptionInfer>On</OptionInfer>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>$(PROJ_ROOT)\misc\Oasys.pfx</AssemblyOriginatorKeyFile>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>3.5</OldToolsVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <OutputPath>$(OUT_DIR)\build\Oasys3</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\Oasys3</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CtsControls.CollapsibleGroupBox, Version=3.0.0.0, Culture=neutral, PublicKeyToken=bfee90587802dc87, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <Private>False</Private>
    </Reference>
    <Reference Include="DevExpress.Data.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.Data.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Utils.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.Utils.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraEditors.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.XtraEditors.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraGrid.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.XtraGrid.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraPrinting.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.XtraPrinting.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraReports.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.XtraReports.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.XML" />
  </ItemGroup>
  <ItemGroup>
    <Import Include="Cts.Oasys.Core.Stock" />
    <Import Include="Cts.Oasys.Core.System" />
    <Import Include="Cts.Oasys.Core.System.MenuOption" />
    <Import Include="Cts.Oasys.WinForm" />
    <Import Include="DevExpress.Data" />
    <Import Include="DevExpress.XtraGrid" />
    <Import Include="DevExpress.XtraGrid.Views.Grid" />
    <Import Include="DevExpress.XtraGrid.Views.Grid.ViewInfo" />
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="System" />
    <Import Include="System.Collections" />
    <Import Include="System.Collections.Generic" />
    <Import Include="System.Data" />
    <Import Include="System.Diagnostics" />
    <Import Include="System.Drawing" />
    <Import Include="System.IO" />
    <Import Include="System.Linq" />
    <Import Include="System.Runtime.CompilerServices" />
    <Import Include="System.Text" />
    <Import Include="System.Windows.Forms" />
    <Import Include="TpWickes.Library" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Classes\ReportControlAdditionalProperties.vb">
    </Compile>
    <Compile Include="Classes\ReportControlHyperLink.vb" />
    <Compile Include="Classes\ReportControlHyperLinkExisting.vb" />
    <Compile Include="Classes\ReportControlOld.vb" />
    <Compile Include="Classes\ViewColTag.vb" />
    <Compile Include="Factories\ReportControlFactory.vb">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Factories\ReportControlUIFactory.vb" />
    <Compile Include="Interfaces\IReportControl.vb" />
    <Compile Include="Interfaces\IReportControlUI.vb" />
    <Compile Include="ReportPrints.Designer.vb">
      <DependentUpon>ReportPrints.vb</DependentUpon>
    </Compile>
    <Compile Include="ReportPrints.vb">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="ReportContainer.Designer.vb">
      <DependentUpon>ReportContainer.vb</DependentUpon>
    </Compile>
    <Compile Include="ReportContainer.vb">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="StockEnquiryHost.Designer.vb">
      <DependentUpon>StockEnquiryHost.vb</DependentUpon>
    </Compile>
    <Compile Include="StockEnquiryHost.vb">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="ReportParameterControl.Designer.vb">
      <DependentUpon>ReportParameterControl.vb</DependentUpon>
    </Compile>
    <Compile Include="ReportParameterControl.vb">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="My Project\AssemblyInfo.vb" />
    <Compile Include="My Project\Application.Designer.vb">
      <AutoGen>True</AutoGen>
      <DependentUpon>Application.myapp</DependentUpon>
    </Compile>
    <Compile Include="My Project\Resources.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="My Project\Settings.Designer.vb">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="ReportControl.Designer.vb">
      <DependentUpon>ReportControl.vb</DependentUpon>
    </Compile>
    <Compile Include="ReportControl.vb">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ReportHost.Designer.vb">
      <DependentUpon>ReportHost.vb</DependentUpon>
    </Compile>
    <Compile Include="ReportHost.vb">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ReportPrint.vb" />
    <Compile Include="ReportViewer.Designer.vb">
      <DependentUpon>ReportViewer.vb</DependentUpon>
    </Compile>
    <Compile Include="ReportViewer.vb">
      <SubType>UserControl</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="ReportPrints.resx">
      <DependentUpon>ReportPrints.vb</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ReportContainer.resx">
      <DependentUpon>ReportContainer.vb</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="StockEnquiryHost.resx">
      <DependentUpon>StockEnquiryHost.vb</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ReportParameterControl.resx">
      <DependentUpon>ReportParameterControl.vb</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="My Project\licenses.licx" />
    <EmbeddedResource Include="My Project\Resources.resx">
      <Generator>VbMyResourcesResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.vb</LastGenOutput>
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ReportControl.resx">
      <DependentUpon>ReportControl.vb</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ReportHost.resx">
      <DependentUpon>ReportHost.vb</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ReportViewer.resx">
      <DependentUpon>ReportViewer.vb</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="My Project\Application.myapp">
      <Generator>MyApplicationCodeGenerator</Generator>
      <LastGenOutput>Application.Designer.vb</LastGenOutput>
    </None>
    <None Include="My Project\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <CustomToolNamespace>My</CustomToolNamespace>
      <LastGenOutput>Settings.Designer.vb</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{94E38DFF-614B-4CBD-B67C-F211BB35CE8B}" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\Cts.Oasys.WinForm\Cts.Oasys.WinForm\Cts.Oasys.WinForm.vbproj">
      <Project>{42C628EC-03C8-4792-9019-1F87E4042E45}</Project>
      <Name>Cts.Oasys.WinForm</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Cts.Oasys.Core\Cts.Oasys.Core\Cts.Oasys.Core.vbproj">
      <Project>{28893D2F-A1FE-4AEB-A600-C14945DF980B}</Project>
      <Name>Cts.Oasys.Core</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Cts.Oasys.Core\Cts.Oasys.Core.Reporting\Cts.Oasys.Core.Reporting.vbproj">
      <Project>{7B0A03F7-8472-43F6-B6E9-1B57CF5616EB}</Project>
      <Name>Cts.Oasys.Core.Reporting</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Cts.Oasys.Core\Cts.Oasys.Core.Stock\Cts.Oasys.Core.Stock.vbproj">
      <Project>{4B4CCD00-8756-4223-8F54-D8BACED43F01}</Project>
      <Name>Cts.Oasys.Core.Stock</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Cts.Oasys.Core\Cts.Oasys.Core.System\Cts.Oasys.Core.System.vbproj">
      <Project>{4A4B0C29-592E-44E3-A3E9-A090AF3C1E4B}</Project>
      <Name>Cts.Oasys.Core.System</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Oasys Custom Controls\CtsControls.SpreadControl\CtsControls.SpreadControl.vbproj">
      <Project>{9C4E1639-46B9-4639-8CAC-B86D71EF27F3}</Project>
      <Name>CtsControls.SpreadControl</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Oasys Framework\OasysDBBO\OasysDBBO.vbproj">
      <Project>{3DBD864C-D231-41AF-AD4C-B8667CF8680D}</Project>
      <Name>OasysDBBO</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\TpWickes\TpWickes.Library\TpWickes.Library.vbproj">
      <Project>{038616C6-C578-4C90-995A-483CCFDE8346}</Project>
      <Name>TpWickes.Library</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.VisualBasic.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>